Subject: Re: bug#51518: native-compilation on OpenBSD
From: Eli Zaretskii <[email-masked]>
To: Han Boetes <[email-masked]>
Cc: [email-masked]
Date: Mon, 01 Nov 2021 14:12:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 31 Oct 2021 23:13:23 +0100
> From: Han Boetes <[email-masked]>
> 
> Eli Zaretskii wrote:
> > > Date: Sat, 30 Oct 2021 20:00:21 +0200
> > > From: Han Boetes <[email-masked]>
> > > 
> > > bootstrap-emacs:/usr/local/lib/libgccjit.so.0.0.1: undefined symbol '_Z15fname_as_stringi'
> > > ld.so: bootstrap-emacs: lazy binding failed!
> > > Killed
> > > gmake[2]: *** [Makefile:316: emacs-lisp/macroexp.elc] Error 137
> > > gmake[2]: *** Waiting for unfinished jobs....
> > > bootstrap-emacs:/usr/local/lib/libgccjit.so.0.0.1: undefined symbol '_Z15fname_as_stringi'
> > > ld.so: bootstrap-emacs: lazy binding failed!
> > 
> > It looks like something is wrong with your installation of libgccjit.
> > I suggest to report this to the maintainers of the OpenBSD libgccjit
> > package.
> 
> Hello Eli,
> 
> Since this is off-topic for the bug list, here is the bug report:
> 
> https://gcc.gnu.org/bugzilla/show_bug.cgi?id=103016
> 
> In case you are interested.

Thanks.  I see it was already solved, so I'm closing this bug report.